/*
 * Copyright 2004-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.hibernate.jpa.unit;

import org.hibernate.proxy.HibernateProxy;
import org.seasar.framework.ejb.unit.ProxiedObjectResolver;
import org.seasar.framework.ejb.unit.S2EJB3TestCase;
import org.seasar.framework.unit.annotation.Rollback;

public class HibernateProxiedObjectResolverTest extends S2EJB3TestCase {

    private ProxiedObjectResolver proxiedObjectresolver;

    public void testFieldBinding() {
        assertNotNull(proxiedObjectresolver);
    }

    @Rollback
    public void testUnproxy() throws Exception {
        HibernateProxiedObjectResolver resolver = new HibernateProxiedObjectResolver();
        Employee emp = getEntityManager().getReference(Employee.class, 7369);
        assertEquals(true, emp instanceof HibernateProxy);
        Object unproxied = resolver.unproxy(emp);
        assertEquals(false, unproxied instanceof HibernateProxy);
        assertEquals(true, emp.equals(unproxied));
    }

}
